package com.pcloud.book.guide.biz;

import com.pcloud.book.guide.vo.RobotWakeUpConfigVO;
import com.pcloud.book.guide.vo.RobotWakeUpShowVO;
import com.pcloud.book.pcloudkeyword.facade.response.PcloudRobotClassifyResponseVO;

import java.util.List;

public interface PcloudRobotWakeUpBiz {


    void robotWakeUpConfig(RobotWakeUpConfigVO robotWakeUpConfigVO);

    void robotWakeUpRemove();

    RobotWakeUpShowVO getRobotWakeUpConfig();

    void doJob();

    List<PcloudRobotClassifyResponseVO> listAllClassify();

    void copyRobotWakeUp(String sourceWxId, String targetWxId);
}
